[arch-commits] Commit in matrix-appservice-irc/repos/community-x86_64 (8 files)
David Runge
dvzrv at archlinux.org
Wed Nov 4 11:35:10 UTC 2020
Date: Wednesday, November 4, 2020 @ 11:35:10
Author: dvzrv
Revision: 741917
archrelease: copy trunk to community-x86_64
Added:
matrix-appservice-irc/repos/community-x86_64/PKGBUILD
(from rev 741915, matrix-appservice-irc/trunk/PKGBUILD)
matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.service
(from rev 741915, matrix-appservice-irc/trunk/matrix-appservice-irc.service)
matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.sysusers
(from rev 741915, matrix-appservice-irc/trunk/matrix-appservice-irc.sysusers)
matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.tmpfiles
(from rev 741915, matrix-appservice-irc/trunk/matrix-appservice-irc.tmpfiles)
Deleted:
matrix-appservice-irc/repos/community-x86_64/PKGBUILD
matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.service
matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.sysusers
matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.tmpfiles
--------------------------------+
PKGBUILD | 264 +++++++++++++++++++--------------------
matrix-appservice-irc.service | 66 ++++-----
matrix-appservice-irc.sysusers | 2
matrix-appservice-irc.tmpfiles | 2
4 files changed, 167 insertions(+), 167 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2020-11-04 11:35:09 UTC (rev 741916)
+++ PKGBUILD 2020-11-04 11:35:10 UTC (rev 741917)
@@ -1,132 +0,0 @@
-# Maintainer: David Runge <dvzrv at archlinux.org>
-# Contributor: Bruno Pagani <archange at archlinux.org>
-
-pkgname=matrix-appservice-irc
-pkgver=0.21.0
-pkgrel=1
-pkgdesc="Node.js IRC bridge for Matrix"
-arch=('x86_64')
-url="https://github.com/matrix-org/matrix-appservice-irc"
-license=('Apache')
-depends=('gcc-libs' 'glibc' 'nodejs')
-makedepends=('git' 'npm' 'python')
-optdepends=('python-urllib3: for grant-ops-in-room.py, migrate-users.py, remove-idle-users.py and remove-user.py'
- 'python-requests: for grant-ops-in-room.py, migrate-users.py, remove-idle-users.py and remove-user.py'
- 'python-yaml: for grant-ops-in-room.py, migrate-users.py and remove-user.py')
-backup=("etc/${pkgname}/config.yaml"
- "etc/${pkgname}/provisioning.rules.yaml"
- "etc/${pkgname}/registration.yaml")
-source=("https://github.com/matrix-org/matrix-appservice-irc/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz"
- "${pkgname}.service"
- "${pkgname}.sysusers"
- "${pkgname}.tmpfiles")
-sha512sums=('b70f5b0f073021f35480c3b651cf299c6e92472993df8c9c572efc8c56812fb9f22c9c150da22697a925ea63d4024551a50fb26eac90a00ece17ed6633f457e6'
- 'f1d1351a554f68537c7fc5771dddc0267a1f19d214bef935faca7b161d611145e3c127c77ae4eefc10c002a2f2f7a8d90e353b0e526ab83a9666d7d457fc449c'
- 'f615e5da11be8d834d6f48f064a65a9b7aa129d255be7865a171522d5aed921eb549a33661ab2c4fff4625d2ca5a7f9c43be95c188e7a77bdde4062aa3983edd'
- '60b7afdd68aaf2c8e47caf10efefb6c4dc54f40d187ad495a604786b30c00dac7e5c77a7b596d86c2a62a7cdbe3727e11f75494f86d26c9fc51ea7a1bf6ab7f0')
-b2sums=('4b1c8a760f9919935a64de41c7a995cd1f98d51bedb03df13966dd7da68ba47978e3c904d99a6072ef9def0a65c0ac482db21681551c5c5c0efbf0247ccb2f75'
- '6010949756e816ca0fe9f9d6d119ec2085f34ec214111c0d55b6f0f90f1fccca23431c6ac485d29bf6ec723a3e6fa04150316fef67ea554254e994176078487a'
- 'cbfe3cdb07707b79ae438936927f06ac4e92669b0b7dd35a9d228aae3cc821e3a50a2cc1627f7959147e329e617247f4002a267bc8630819946e8083a39b8895'
- '2dbbf14f82d88418470f848a2d11c0feacb257026382513c2fa02ad7f605f47e4cc5e9bf05668da383a596bc81450e468288863cdbdde9f7c16b02561f0114a7')
-
-prepare() {
- cd "${pkgname}-${pkgver}"
- sed -e "s|./provisioning.rules.yaml|/etc/${pkgname}/provisioning.rules.yaml|" \
- -i config.sample.yaml
- touch registration.yaml
-}
-
-build() {
- cd "${pkgname}-${pkgver}"
- # TODO: fix issues with full RELRO and PIE
- # https://github.com/matrix-org/matrix-appservice-irc/issues/1133
- npm install --cache "${srcdir}"/npm-cache
-}
-
-check() {
- cd "${pkgname}-${pkgver}"
- npm audit || echo "npm audit output might return non-zero"
- npm test
-}
-
-package() {
- cd "${pkgname}-${pkgver}"
- # removing unneeded files and directories
- find node_modules -type f \
- \( \
- -iname '*Makefile*' -o \
- -iname '*appveyor.yml' -o \
- -iname '*.babelrc' -o \
- -iname '*.bak' -o \
- -iname '*bower.json' -o \
- -iname '*.c' -o \
- -iname '*.cc' -o \
- -iname '*.cpp' -o \
- -iname '*.md' -o \
- -iname '*.markdown' -o \
- -iname '*.rst' -o \
- -iname '*.nycrc' -o \
- -iname '*.npmignore' -o \
- -iname '*.editorconfig' -o \
- -iname '*.el' -o \
- -iname '*.eslintignore' -o \
- -iname '*.eslintrc*' -o \
- -iname '*.fimbullinter.yaml' -o \
- -iname '*.gitattributes' -o \
- -iname '*.gitmodules' -o \
- -iname '*.h' -o \
- -iname '*.html' -o \
- -iname '*.jshintrc' -o \
- -iname '*.jscs.json' -o \
- -iname '*.log' -o \
- -iname '*logo.svg' -o \
- -iname '*.nvmrc' -o \
- -iname '*.o' -o \
- -iname '*package-lock.json' -o \
- -iname '*.travis.yml' -o \
- -iname '*.prettierrc' -o \
- -iname '*.sh' -o \
- -iname '*.tags*' -o \
- -iname '*.tm_properties' -o \
- -iname '*.wotanrc.yaml' -o \
- -iname '*tsconfig.json' -o \
- -iname '*yarn.lock' \
- \) \
- -delete
- find node_modules -type d \
- \( \
- -iwholename '*.github' -o \
- -iwholename '*.tscache' -o \
- -iwholename '*/man' -o \
- -iwholename '*/test' -o \
- -iwholename '*/scripts' -o \
- -iwholename '*/git-hooks' \
- \) \
- -exec rm -rvf {} +
- find node_modules -empty -type d -delete
- install -vdm 755 "${pkgdir}/usr/lib/node_modules/${pkgname}/"
- # copy vendored modules, lib and entry point
- cp -av {lib,node_modules,app.js,config.schema.yml} "${pkgdir}/usr/lib/node_modules/${pkgname}/"
- # configuration
- install -vDm 640 config.sample.yaml "${pkgdir}/etc/${pkgname}/config.yaml"
- install -vDm 640 provisioning.rules.sample.yaml \
- "${pkgdir}/etc/${pkgname}/provisioning.rules.yaml"
- install -vDm 640 registration.yaml \
- -t "${pkgdir}/etc/${pkgname}/"
- # service
- install -vDm 644 "../${pkgname}.service" -t "${pkgdir}/usr/lib/systemd/system"
- # tmpfiles.d and sysusers.d
- install -vDm 644 "../${pkgname}.sysusers" \
- "${pkgdir}/usr/lib/sysusers.d/${pkgname}.conf"
- install -vDm 644 "../${pkgname}.tmpfiles" \
- "${pkgdir}/usr/lib/tmpfiles.d/${pkgname}.conf"
- # python scripts
- install -vDm 755 scripts/{grant-ops-in-room,migrate-users,remove-user}.py \
- -t "${pkgdir}/usr/bin"
- # add nodejs based scripts (which are location dependent)
- install -vDm 755 scripts/{migrate-db-to-pgres.sh,unbridge.js} \
- -t "${pkgdir}/usr/lib/node_modules/${pkgname}/scripts"
- # docs
- install -vDm 644 {CHANGELOG,CONTRIBUTING,HOWTO,README}.md \
- -t "${pkgdir}/usr/share/doc/${pkgname}"
-}
Copied: matrix-appservice-irc/repos/community-x86_64/PKGBUILD (from rev 741915, matrix-appservice-irc/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2020-11-04 11:35:10 UTC (rev 741917)
@@ -0,0 +1,132 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+# Contributor: Bruno Pagani <archange at archlinux.org>
+
+pkgname=matrix-appservice-irc
+pkgver=0.21.0
+pkgrel=2
+pkgdesc="Node.js IRC bridge for Matrix"
+arch=('x86_64')
+url="https://github.com/matrix-org/matrix-appservice-irc"
+license=('Apache')
+depends=('gcc-libs' 'glibc' 'nodejs')
+makedepends=('git' 'npm' 'python')
+optdepends=('python-urllib3: for grant-ops-in-room.py, migrate-users.py, remove-idle-users.py and remove-user.py'
+ 'python-requests: for grant-ops-in-room.py, migrate-users.py, remove-idle-users.py and remove-user.py'
+ 'python-yaml: for grant-ops-in-room.py, migrate-users.py and remove-user.py')
+backup=("etc/${pkgname}/config.yaml"
+ "etc/${pkgname}/provisioning.rules.yaml"
+ "etc/${pkgname}/registration.yaml")
+source=("https://github.com/matrix-org/matrix-appservice-irc/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz"
+ "${pkgname}.service"
+ "${pkgname}.sysusers"
+ "${pkgname}.tmpfiles")
+sha512sums=('b70f5b0f073021f35480c3b651cf299c6e92472993df8c9c572efc8c56812fb9f22c9c150da22697a925ea63d4024551a50fb26eac90a00ece17ed6633f457e6'
+ 'f1d1351a554f68537c7fc5771dddc0267a1f19d214bef935faca7b161d611145e3c127c77ae4eefc10c002a2f2f7a8d90e353b0e526ab83a9666d7d457fc449c'
+ 'f615e5da11be8d834d6f48f064a65a9b7aa129d255be7865a171522d5aed921eb549a33661ab2c4fff4625d2ca5a7f9c43be95c188e7a77bdde4062aa3983edd'
+ '60b7afdd68aaf2c8e47caf10efefb6c4dc54f40d187ad495a604786b30c00dac7e5c77a7b596d86c2a62a7cdbe3727e11f75494f86d26c9fc51ea7a1bf6ab7f0')
+b2sums=('4b1c8a760f9919935a64de41c7a995cd1f98d51bedb03df13966dd7da68ba47978e3c904d99a6072ef9def0a65c0ac482db21681551c5c5c0efbf0247ccb2f75'
+ '6010949756e816ca0fe9f9d6d119ec2085f34ec214111c0d55b6f0f90f1fccca23431c6ac485d29bf6ec723a3e6fa04150316fef67ea554254e994176078487a'
+ 'cbfe3cdb07707b79ae438936927f06ac4e92669b0b7dd35a9d228aae3cc821e3a50a2cc1627f7959147e329e617247f4002a267bc8630819946e8083a39b8895'
+ '2dbbf14f82d88418470f848a2d11c0feacb257026382513c2fa02ad7f605f47e4cc5e9bf05668da383a596bc81450e468288863cdbdde9f7c16b02561f0114a7')
+
+prepare() {
+ cd "${pkgname}-${pkgver}"
+ sed -e "s|./provisioning.rules.yaml|/etc/${pkgname}/provisioning.rules.yaml|" \
+ -i config.sample.yaml
+ touch registration.yaml
+}
+
+build() {
+ cd "${pkgname}-${pkgver}"
+ # TODO: fix issues with full RELRO and PIE
+ # https://github.com/matrix-org/matrix-appservice-irc/issues/1133
+ npm install --cache "${srcdir}"/npm-cache
+}
+
+check() {
+ cd "${pkgname}-${pkgver}"
+ npm audit || echo "npm audit output might return non-zero"
+ npm test
+}
+
+package() {
+ cd "${pkgname}-${pkgver}"
+ # removing unneeded files and directories
+ find node_modules -type f \
+ \( \
+ -iname '*Makefile*' -o \
+ -iname '*appveyor.yml' -o \
+ -iname '*.babelrc' -o \
+ -iname '*.bak' -o \
+ -iname '*bower.json' -o \
+ -iname '*.c' -o \
+ -iname '*.cc' -o \
+ -iname '*.cpp' -o \
+ -iname '*.md' -o \
+ -iname '*.markdown' -o \
+ -iname '*.rst' -o \
+ -iname '*.nycrc' -o \
+ -iname '*.npmignore' -o \
+ -iname '*.editorconfig' -o \
+ -iname '*.el' -o \
+ -iname '*.eslintignore' -o \
+ -iname '*.eslintrc*' -o \
+ -iname '*.fimbullinter.yaml' -o \
+ -iname '*.gitattributes' -o \
+ -iname '*.gitmodules' -o \
+ -iname '*.h' -o \
+ -iname '*.html' -o \
+ -iname '*.jshintrc' -o \
+ -iname '*.jscs.json' -o \
+ -iname '*.log' -o \
+ -iname '*logo.svg' -o \
+ -iname '*.nvmrc' -o \
+ -iname '*.o' -o \
+ -iname '*package-lock.json' -o \
+ -iname '*.travis.yml' -o \
+ -iname '*.prettierrc' -o \
+ -iname '*.sh' -o \
+ -iname '*.tags*' -o \
+ -iname '*.tm_properties' -o \
+ -iname '*.wotanrc.yaml' -o \
+ -iname '*tsconfig.json' -o \
+ -iname '*yarn.lock' \
+ \) \
+ -delete
+ find node_modules -type d \
+ \( \
+ -iwholename '*.github' -o \
+ -iwholename '*.tscache' -o \
+ -iwholename '*/man' -o \
+ -iwholename '*/test' -o \
+ -iwholename '*/scripts' -o \
+ -iwholename '*/git-hooks' \
+ \) \
+ -exec rm -rvf {} +
+ find node_modules -empty -type d -delete
+ install -vdm 755 "${pkgdir}/usr/lib/node_modules/${pkgname}/"
+ # copy vendored modules, lib and entry point
+ cp -av {lib,node_modules,app.js,config.schema.yml} "${pkgdir}/usr/lib/node_modules/${pkgname}/"
+ # configuration
+ install -vDm 640 config.sample.yaml "${pkgdir}/etc/${pkgname}/config.yaml"
+ install -vDm 640 provisioning.rules.sample.yaml \
+ "${pkgdir}/etc/${pkgname}/provisioning.rules.yaml"
+ install -vDm 640 registration.yaml \
+ -t "${pkgdir}/etc/${pkgname}/"
+ # service
+ install -vDm 644 "../${pkgname}.service" -t "${pkgdir}/usr/lib/systemd/system"
+ # tmpfiles.d and sysusers.d
+ install -vDm 644 "../${pkgname}.sysusers" \
+ "${pkgdir}/usr/lib/sysusers.d/${pkgname}.conf"
+ install -vDm 644 "../${pkgname}.tmpfiles" \
+ "${pkgdir}/usr/lib/tmpfiles.d/${pkgname}.conf"
+ # python scripts
+ install -vDm 755 scripts/{grant-ops-in-room,migrate-users,remove-user}.py \
+ -t "${pkgdir}/usr/bin"
+ # add nodejs based scripts (which are location dependent)
+ install -vDm 755 scripts/{migrate-db-to-pgres.sh,unbridge.js} \
+ -t "${pkgdir}/usr/lib/node_modules/${pkgname}/scripts"
+ # docs
+ install -vDm 644 {CHANGELOG,CONTRIBUTING,HOWTO,README}.md \
+ -t "${pkgdir}/usr/share/doc/${pkgname}"
+}
Deleted: matrix-appservice-irc.service
===================================================================
--- matrix-appservice-irc.service 2020-11-04 11:35:09 UTC (rev 741916)
+++ matrix-appservice-irc.service 2020-11-04 11:35:10 UTC (rev 741917)
@@ -1,33 +0,0 @@
-[Unit]
-Description=Matrix IRC Bridge
-After=network.target synapse.service
-
-[Service]
-CapabilityBoundingSet=
-ExecStart=/usr/bin/node /usr/lib/node_modules/matrix-appservice-irc/app.js -c /etc/matrix-appservice-irc/config.yaml -f /etc/matrix-appservice-irc/registration.yaml
-Group=matrix-appservice-irc
-LockPersonality=yes
-NoNewPrivileges=true
-PrivateDevices=true
-PrivateTmp=true
-ProtectClock=yes
-ProtectControlGroups=yes
-ProtectHome=yes
-ProtectHostname=yes
-ProtectKernelLogs=yes
-ProtectKernelModules=yes
-ProtectKernelTunables=yes
-ProtectSystem=strict
-RemoveIPC=true
-Restart=on-failure
-RestrictAddressFamilies=AF_INET AF_INET6
-RestrictNamespaces=true
-RestrictRealtime=true
-RestrictSUIDSGID=true
-SystemCallArchitectures=native
-SystemCallFilter=@system-service
-SystemCallFilter=~@resources @privileged
-User=matrix-appservice-irc
-
-[Install]
-WantedBy=multi-user.target
Copied: matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.service (from rev 741915, matrix-appservice-irc/trunk/matrix-appservice-irc.service)
===================================================================
--- matrix-appservice-irc.service (rev 0)
+++ matrix-appservice-irc.service 2020-11-04 11:35:10 UTC (rev 741917)
@@ -0,0 +1,33 @@
+[Unit]
+Description=Matrix IRC Bridge
+After=network.target synapse.service
+
+[Service]
+CapabilityBoundingSet=
+ExecStart=/usr/bin/node /usr/lib/node_modules/matrix-appservice-irc/app.js -c /etc/matrix-appservice-irc/config.yaml -f /etc/matrix-appservice-irc/registration.yaml
+Group=matrix-appservice-irc
+LockPersonality=yes
+NoNewPrivileges=true
+PrivateDevices=true
+PrivateTmp=true
+ProtectClock=yes
+ProtectControlGroups=yes
+ProtectHome=yes
+ProtectHostname=yes
+ProtectKernelLogs=yes
+ProtectKernelModules=yes
+ProtectKernelTunables=yes
+ProtectSystem=strict
+RemoveIPC=true
+Restart=on-failure
+RestrictAddressFamilies=AF_INET AF_INET6
+RestrictNamespaces=true
+RestrictRealtime=true
+RestrictSUIDSGID=true
+SystemCallArchitectures=native
+SystemCallFilter=@system-service
+SystemCallFilter=~@resources @privileged
+User=matrix-appservice-irc
+
+[Install]
+WantedBy=multi-user.target
Deleted: matrix-appservice-irc.sysusers
===================================================================
--- matrix-appservice-irc.sysusers 2020-11-04 11:35:09 UTC (rev 741916)
+++ matrix-appservice-irc.sysusers 2020-11-04 11:35:10 UTC (rev 741917)
@@ -1 +0,0 @@
-u matrix-appservice-irc - "Matrix IRC Bridge"
Copied: matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.sysusers (from rev 741915, matrix-appservice-irc/trunk/matrix-appservice-irc.sysusers)
===================================================================
--- matrix-appservice-irc.sysusers (rev 0)
+++ matrix-appservice-irc.sysusers 2020-11-04 11:35:10 UTC (rev 741917)
@@ -0,0 +1 @@
+u matrix-appservice-irc - "Matrix IRC Bridge"
Deleted: matrix-appservice-irc.tmpfiles
===================================================================
--- matrix-appservice-irc.tmpfiles 2020-11-04 11:35:09 UTC (rev 741916)
+++ matrix-appservice-irc.tmpfiles 2020-11-04 11:35:10 UTC (rev 741917)
@@ -1 +0,0 @@
-z /etc/matrix-appservice-irc/*.yaml 0640 root matrix-appservice-irc -
Copied: matrix-appservice-irc/repos/community-x86_64/matrix-appservice-irc.tmpfiles (from rev 741915, matrix-appservice-irc/trunk/matrix-appservice-irc.tmpfiles)
===================================================================
--- matrix-appservice-irc.tmpfiles (rev 0)
+++ matrix-appservice-irc.tmpfiles 2020-11-04 11:35:10 UTC (rev 741917)
@@ -0,0 +1 @@
+z /etc/matrix-appservice-irc/*.yaml 0640 root matrix-appservice-irc -
More information about the arch-commits
mailing list